javax.jms

## Interface TopicConnectionFactory

All Superinterfaces:
  ConnectionFactory

All Known Subinterfaces:
  XATopicConnectionFactory

All Known Implementing Classes:
  TopicConnectionFactory, XATopicConnectionFactory

    public interface TopicConnectionFactory
    extends ConnectionFactory

A client uses a `TopicConnectionFactory` object to create `TopicConnection` objects with a publish/subscribe JMS provider.

A`TopicConnectionFactory` can be used to create a `TopicConnection`, from which specialized topic-related objects can be created. A more general, and recommended approach is to use the `ConnectionFactory` object.

The `TopicConnectionFactory` object should be used to support existing code.

See Also:
  `ConnectionFactory`

### Method Summary

Methods
`TopicConnection` `createTopicConnection()` Creates a topic connection with the default user identity.
`TopicConnection` `createTopicConnection(String userName, String password)` Creates a topic connection with the specified user identity.

### Methods inherited from interface javax.jms.ConnectionFactory

`createConnection, createConnection`

### Method Detail

#### createTopicConnection

    TopicConnection createTopicConnection()
                                          throws JMSException

Creates a topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

Returns:
  a newly created topic connection
Throws:
  `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

#### createTopicConnection

    TopicConnection createTopicConnection(String userName,
                                        String password)
                                          throws JMSException

Creates a topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

Parameters:
  `userName` - the caller's user name
  `password` - the caller's password
Returns:
  a newly created topic connection
Throws:
  `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to an invalid user name or password.